# End Card Session

## End Card Session

The End Card Session API is used to end CSR/IVR/CHP sessions

## Input Parameters:

| Name             | Required | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Comments                          |
| ---------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| CardSessionID    | N        | Format: Alphanumeric, 30                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |                                   |
| Category         | C        | <p>Format options:<br>AddressChange<br>CardExpiredWithFunds<br>CardExpiredWithPendingACH<br>CallNotEnded (\*will not be show in UI)<br>CardNotReceived<br>CardStatusProblem<br>Card-to-CardTransfer<br>CloseAccountRequest<br>DirectDepositEnrollmentProblem<br>DirectDepositLoadProblem<br>Dispute<br>EarlyAccess<br>FeeComplaint<br>FeeQuestion<br>HoldRelease(only)<br>IncorrectNameorGovtIDorDOB,<br>Lost/StolenCard<br>Other<br>ProblemwithCardReceivedNameNotRight<br>ProblemwithCardReceived-Other<br>Replacement Card Order<br>ReportofPossibleFraud<br>ResearchbySupervisororPM<br>StoreComplaint<br>TransactionorBalanceQuestion<br>TroubleActivatingaCard/SettingaPIN<br>Unknown<br>Verification<br>VerificationMaxAttemptsReached<br>WesternUnion</p> |                                   |
| ContactAddress   | N        | <p>Format: Alphanumeric,1-30<br>Description: Required only if Result= Escalated</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                   |
| ContactMail      | N        | <p>Format: Alphanumeric, 5-40<br>Description:Possible Pattern: <x@x.x></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                   |
| ContactName      | N        | <p>Format: Alphanumeric, 1-40<br>Description: Required only if Result = Escalated</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |                                   |
| ContactPhone     | N        | <p>Format: Numeric, 1-15<br>Description: Required only if Result= Escalated</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                   |
| Description      | N        | Format: Alphanumeric, 1-30                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                   |
| Result           | C        | <p>Format options:<br>Resolved<br>Cancelled<br>Escalated<br>NoVerify<br>CallNotEnded<br>CallEnded<br>ResolvedDelay (internal only and should not be supported by API)<br></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Required only if SessionType =CSR |
| VerificationType | C        | <p>Options:<br>ID-Name-Address<br>ID-Name-DOB<br>ID-Address-DOB<br>Name-Address-DOB<br>Phone-ID-Name<br>Phone-ID-Address<br>Phone-ID-DOB<br>Phone-Name-Address<br>Phone-Name-DOB<br>Phone-Address-DOB<br>Unknown<br>None<br></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Required only if SessionType =CSR |
| WaiveFee         | N        | <p>Format: N (default) /Y<br>Description: Allows to waive the fee taken for call</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |                                   |

## Output Parameters:

| Name            | Definition                                            | Failure Case | Success Case | Comments |
| --------------- | ----------------------------------------------------- | ------------ | ------------ | -------- |
| SessionDuration | Format: Numeric, 5 (xxx.x - minutes.seconds, as 12.4) | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
    <AuthenticationDetails>
        <SessionId>06538513201054070</SessionId>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
	<ServiceDetails>
        <ServiceName>EndCardSession</ServiceName>
        <UniqueRequestId>06538513201054070~3</UniqueRequestId>
    </ServiceDetails>
    <Origin>
        <OriginType>Portal:csr</OriginType>
     </Origin>
     <ServiceParams>
        <CardSessionID>1234</CardSessionID>
        <Description>fdsfsffsdfsdfsdf</Description>
        <WaiveFee>N</WaiveFee>
        <Result>Resolved</Result>
        <Category>CardNotReceived</Category>
        <VerificationType>None</VerificationType>
        <ContactName></ContactName>
        <ContactAddress></ContactAddress>
        <ContactPhone></ContactPhone>
        <ContactMail></ContactMail>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>EndCardSession</ServiceName>
        <SessionId>06538513201054070</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2010-07-04 13:59:42</ServiceDate>
        <ServiceId>06539813201059074</ServiceId>
    </ResponseDetails>
  <ResponseParams>
    <SessionDuration>7</SessionDuration>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>EndCardSession</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/end-card-session.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
